## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class ValueBindingType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
                      org.eclipse.jst.jsf.taglibprocessing.attributevalues.ValueBindingType

All Implemented Interfaces:
  IValidELValues, IMetaDataEnabledFeature, ITypeDescriptor

Direct Known Subclasses:
  ComponentBindingType, ComponentIDType, ValueType

    public class ValueBindingType

extends ExpressionBindingType
implements IValidELValues

Meta-data processing type representing a Value Bound attribute value runtime type that implements IValidValues

Provisional API - subject to change

Field Summary

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
`RUNTIME_PARAMS_TYPES, RUNTIME_RETURN_TYPE, RUNTIME_SETTER_REQUIRED`

Constructor Summary
`ValueBindingType()`

Method Summary
`org.eclipse.jst.jsf.common.internal.types.CompositeType` `getExpectedRuntimeType()` Expected runtime type for EL value

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.ExpressionBindingType
`getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### ValueBindingType

    public ValueBindingType()

Method Detail

### getExpectedRuntimeType

    public org.eclipse.jst.jsf.common.internal.types.CompositeType getExpectedRuntimeType()
                                                                                   throws ELIsNotValidException

  Description copied from interface: `IValidELValues`
  Expected runtime type for EL value

  Specified by:
    `getExpectedRuntimeType` in interface `IValidELValues`
  Returns:
    CompositeType
  Throws:
    `ELIsNotValidException`